<bugID>1358921<Summary>Avoid loading and initializing modules in BrowserGlue._finalUIStartup</Summary><Description>I'd like to be able to ship WebExtensions as system add-ons without any regression in startup performance. There aren't a lot of places I can speed things up, but this is one big chunk of startup time that keeps nagging at me. We load a lot of modules just to add listeners that won't be called until well after the browser window is visible.

If we add the listeners in nsBrowserGlue.js instead and only load the modules when they're called, we can put off a lot of this work.

On my machine, these patches save about 10ms from the otherwise 48ms time _finalUIStartup takes to run.

There's more that could be done here, but I think this makes a good start.</Description></bugID>